ZMNinja and API troubles

Discussion topics related to mobile applications for ZoneMinder
Post Reply
Bruce69
Posts: 3
Joined: Fri Oct 26, 2018 3:10 pm

ZMNinja and API troubles

Post by Bruce69 » Fri Nov 02, 2018 10:50 am

Hi
My setup is as follows
Clean install of Ubuntu 18.04
Zoneminder 1.32.2
Server version: Apache/2.4.29 (Ubuntu)

I get valid responses on
http://192.168.0.66/zm/api/host/getVersion.json

{
"version": "1.32.2",
"apiversion": "1.0"
}

http://192.168.0.66/zm/api/monitors.json
http://192.168.0.66/zm/api/events.json

Everything looks ok but Ninja tells me i have API issues.

User avatar
asker
Posts: 985
Joined: Sun Mar 01, 2015 12:12 pm

Re: ZMNinja and API troubles

Post by asker » Fri Nov 02, 2018 2:01 pm

If you are the same person that posted in GitHub, lets carry our conversation to the issue you posted there.
I get the feeling you have an API issue and so not (yet) moving it to the mobile forum
--
My collection of ZoneMinder learnings:
https://wiki.zoneminder.com/Various_ZM_thoughts

User avatar
asker
Posts: 985
Joined: Sun Mar 01, 2015 12:12 pm

Re: ZMNinja and API troubles

Post by asker » Fri Nov 02, 2018 3:00 pm

Problem resolved here https://github.com/pliablepixels/zmNinja/issues/739
(And moving to the mobile forum - it might have been a config issue)
--
My collection of ZoneMinder learnings:
https://wiki.zoneminder.com/Various_ZM_thoughts

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests